## CaptionsButton

The button component for toggling and selecting captions

## Constructor

#### new CaptionsButton(player, optionsopt, readyopt)
`control-bar/text-track-controls/captions-button.js`, `line 13`

  Creates an instance of this class.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `player` | Player |  | The `Player` that this class should be attached to.
  `options` | Object | <optional> | The key/value store of player options.
  `ready` | Component~ReadyCallback | <optional> | The function to call when this component is ready.

### Extends

- TextTrackButton

### Methods

#### buildCSSClass() → {string}
`control-bar/text-track-controls/captions-button.js`, `line 37`

  Builds the default DOM `className`.

  ##### Returns:

  string -

  The DOM `className` for this object.

#### createItems() → {Array.<CaptionSettingsMenuItem>}
`control-bar/text-track-controls/captions-button.js`, `line 51`

  Create caption menu items

  ##### Returns:

  Array.<CaptionSettingsMenuItem> -

  The array of current menu items.

  Overrides:
    - TextTrackButton#createItems